/*
此文件为通用文件，一般用于50hz的驱动等和引脚高低，适合车和船使用，
如果有其他需求，此文件就不需要使用
*/
#ifndef GPIO_INIT_H__
#define GPIO_INIT_H__

//extern int device_delay_count;//延时计算函数，使用前必须置0

// 定义 PWM 引脚的 WiringPi 编号
#define PWM_PIN_SPEED 21
#define PWM_PIN_CHANGE 2

void init_gpiowpi(const int *values_pin);//gpio引脚初始化
void init_gpiopwm(const int *values_pwm);

void pin_value(int pin,int value);//控制引脚高低

// 定义 PWM 引脚的 WiringPi 编号
void pin_all_default();//拉低车的控制引脚
void pwm_all_default();//软件pwm置0引脚
void pin_value(int pin,int value);
void physics_pwm_init(); 
void pwm_value(int pin,int value); //软件陪我们控制调速

void device_exit_end();//main最后结束需要调用的函数

#endif
